<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("aggregat" . "ion" => base64_decode("YWdncm" . "VnYXRp" . "b24="), "_07afa3e4c6840a90ca78db3521dfbe" . "2b" => base64_decode("c3Rk" . "Q2xh" . "c3M="), "user" . "_id" => base64_decode("dXNlcl9" . "pZA=="), "_79a5c6862da55a81" . "bbba54a4e91b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDL" . "CB1bmlxdWVfb2JqZWN0cyBERVNDLCB1c2VyX2lkIEFTQw=="), "_c5aeb46d4987229cd0033323a7" . "f86836" => base64_decode("b2J" . "qZW" . "N0c" . "w=="), "_d9e86995f0bc6219b3823" . "d8422326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQ" . "g"), "_0f939e9a0c1b1" . "7527bce221f42e" . "e827e" => base64_decode("IEdST1VQIEJZIHVzZXJfa" . "WQpIHQ="), "_ead9f7746c5d5e2801ce5" . "704837fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2" . "F0aW9uIEFORCA="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d9e86995f0bc6219b3823d842" . "2326153"] . $filter->AsPart() . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_79a5c6862da" . "55a81bbba54a" . "4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["aggregati" . "on"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["user_" . "id"]], $info[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_c5aeb46d4987229" . "cd0033323a7f8683" . "6"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_ead9f7746c5d5e2801ce5704837fb" . "63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0f939e9a0c1b17527bce221f4" . "2ee827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_07afa3e4c6840a90ca7" . "8db3521dfbe2b"];
    }
}